/*
** Job Arranger for ZABBIX
** Copyright (C) 2012 FitechForce, Inc. All Rights Reserved.
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/

/*
** $Date:: 2013-01-11 09:46:18 +0900 #$
** $Revision: 3552 $
** $Author: ossinfra@FITECHLABS.CO.JP $
**/

#ifndef JOBARG_JATELEGRAM_H
#define JOBARG_JATELEGRAM_H

#include <json/json.h>
#include "jacommon.h"

extern char *CONFIG_HOSTNAME;

int ja_telegram_from(const char *telegram, ja_job_object * job);
int ja_telegram_from_head(json_object * json, ja_job_object * job);
int ja_telegram_from_request(json_object * json, ja_job_object * job);
int ja_telegram_from_response(json_object * json, ja_job_object * job);
int ja_telegram_from_jobresult_res(const char *telegram,
                                   ja_job_object * job);

char *ja_telegram_to(ja_job_object * job);
int ja_telegram_to_head(ja_job_object * job, json_object * json);
int ja_telegram_to_request(ja_job_object * job, json_object * json);
int ja_telegram_to_response(ja_job_object * job, json_object * json);
int ja_telegram_to_jobresult(ja_job_object * job, json_object * json);

#endif
